<?php

namespace App\Model\Entities\Components;

use App\Model\Entities\BaseNamedRecord;
use Doctrine\ORM\Mapping as ORM;

/**
 * @ORM\Entity
 * @ORM\Table(name="component")
 */
class RegisteredComponent extends BaseNamedRecord
{

    /**
     * @ORM\Column(type="string")
     */
    protected $description;

    /**
     * @return mixed
     */
    public function getDescription()
    {
        return $this->description;
    }

    /**
     * @param mixed $description
     */
    public function setDescription($description)
    {
        $this->description = $description;
    }
}